#Author: Matteo Porchedda
#www.c4dzone.com

#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with this program.  If not, see http://www.gnu.org/licenses/.


import c4d
from c4d import gui
import random


def randomend(count):
    ret=""
    for i in range(count):
        ret=ret+random.choice('0123456789')

    return ret

def main():
    
    
    doc=c4d.documents.GetActiveDocument()
    
    mats=doc.GetMaterials()
    
    for i in range(len(mats)-1):
        matname=mats[i].GetName()
        
        for j in range(i+1,len(mats)):
            
            checkmatname=mats[j].GetName()
            
            if (matname==checkmatname):
                mats[j].SetName(matname+"_"+randomend(5))
                mats[j].Message(c4d.MSG_UPDATE)
                
                
                
    c4d.EventAdd()
    print "Fine"
    

if __name__=='__main__':
    main()
